package com.ss.android.ugc.aweme.compliance.business.filtervideo.viewmodel;

import X.0Bt;
import X.1Bn;
import X.7he;
import X.C03012Pr;
import X.C08482gy;
import X.C09442iW;
import X.C09452iX;
import X.C09462iY;
import X.C09472iZ;
import X.C09482ia;
import X.C09492ib;
import X.C09512id;
import X.Crj;
import X.Ls2;
import X.M12;
import com.bytedance.covode.number.Covode;
import java.util.List;

public final class FilterVideoKeywordsViewModel extends 0Bt {
    public final 1Bn<Integer> LIZ = new 1Bn<>();
    public C09512id LIZIZ;
    public final Crj LIZJ = 7he.LIZ(C09442iW.LIZ);
    public final Crj LIZLLL = 7he.LIZ(C09452iX.LIZ);

    static {
        Covode.recordClassIndex(60925);
    }

    public final C08482gy LIZ() {
        return (C08482gy) this.LIZJ.getValue();
    }

    public final 1Bn<List<C09512id>> LIZIZ() {
        return (1Bn) this.LIZLLL.getValue();
    }

    public final void LIZJ() {
        this.LIZ.setValue(0);
        LIZ().LIZ(new C09462iY(this), new C09482ia(this));
    }

    public final void LIZ(C09512id r5, Ls2<C03012Pr> ls2, Ls2<C03012Pr> ls22) {
        M12.LIZ(r5, ls2, ls22);
        LIZ().LIZ(r5.LIZ, new C09472iZ(this, r5, ls2), new C09492ib(ls22));
    }
}
